package org.dvb.locator.ip;
import java.net.InetAddress;
/**
 * Represents a reference to an IP service accessed by an IGMP join request.
 */
public class MulticastLocator extends org.davic.net.Locator {
	/**
	 * Creates a <code>MulticastLocator</code> from the specified URL.
	 * @param address the multicast address to join
	 * @param port the port to join
	 * @exception java.net.MalformedURLException if the address is not a multicast address
	 */
	public MulticastLocator (InetAddress address, int port ) throws java.net.MalformedURLException
	{
		super("foo");
	}
	/**
	 * Creates a <code>MulticastLocator</code> from the specified URL.
	 * @param address the multicast address to join
	 * @param port the port to join
  	 * @param serviceID a DVB-SI serviceID or MPEG program number to identify
 	 * one service in a multi-program transport stream
	 * @exception java.net.MalformedURLException if the address is not a multicast address
	 * @exception IllegalArgumentException if the service ID is less than 0 or greater than 0xffff
	 */
	public MulticastLocator (InetAddress address, int port, int serviceID ) throws java.net.MalformedURLException, IllegalArgumentException
	{
		super("foo");
	}
	/**
	 * Returns the serviceID specified when this <code>MulticastLocator</code> 
	 * was constructed.
	 * @return the serviceID specified when this <code>MulticastLocator</code> 
	 * or -1 if no serviceID was specified
	 */
	public int getServiceID() {return 0;}
}

