package org.dvb.locator.ip;
/**
 * Represents a reference to an IP service accessed by RTSP.
 */
public class RTSPLocator extends org.davic.net.Locator {
	/**
	 * Creates a <code>RTSPLocator</code> from the specified URL.
	 * @param url an "rtsp:" url
	 * @exception java.net.MalformedURLException if the url is not a correct "rtsp:" url
	 */
	public RTSPLocator ( String url ) throws java.net.MalformedURLException
	{
		super(url);
	}
	/**
	 * Creates a <code>RTSPLocator</code> from the specified URL.
	 * @param url an "rtsp:" url
  	 * @param serviceID a DVB-SI serviceID or MPEG program number to identify
 	 * one service in a multi-program transport stream
	 * @exception java.net.MalformedURLException if the url is not a correct "rtsp:" url
	 * @exception IllegalArgumentException if the service ID is less than 0 or greater than 0xffff
	 */
	public RTSPLocator ( String url, int serviceID ) throws java.net.MalformedURLException, IllegalArgumentException
	{
		super(url);
	}

	/**
	 * Returns the serviceID specified when this <code>RTSPLocator</code> 
	 * was constructed.
	 * @return the serviceID specified when this <code>RTSPLocator</code> 
	 * or -1 if no serviceID was specified
	 */
	public int getServiceID() {return 0;}
}

