package org.dvb.locator.ott;

/**
 * Represents a reference to an IP service accessed by HTTP.
 */
public class HTTPLocator extends org.davic.net.Locator {

   /**
    * Creates a HTTPLocator from the specified URL.
    * 
    * @param url
    *           - an "HTTP:" url.
    * @throws java.net.MalformedURLException
    *            if the url is not a correct "HTTP:" url.
    */
   public HTTPLocator(java.lang.String url) throws java.net.MalformedURLException {
      super(url);
   }

   /**
    * 
    * Creates a HTTPLocator from the specified URL.
    * 
    * @param url
    *           - an "HTTP:" url.
    * @param serviceID
    *           - a DVB-SI serviceID or MPEG program number to identify one
    *           service in a
    *           multi-program transport stream.
    * 
    * @throws java.net.MalformedURLException
    *            if the url is not a correct "HTTP:" url.
    * @throws java.lang.IllegalArgumentException
    *            if the service ID is less than 0 or
    *            greater than 0xffff.
    */
   public HTTPLocator(java.lang.String url, int serviceID) throws java.net.MalformedURLException, java.lang.IllegalArgumentException {
      super(url);
   }

   /**
    * Returns the serviceID specified when this HTTPLocator was constructed.
    * 
    * @return the serviceID specified when this HTTPLocator or -1 if no
    *         serviceID was specified.
    */
   public int getServiceID() {
      return -1;
   }
}
