package org.dvb.media;

/**
 * Class providing access to information on video and
 * audio formats that an GEM terminal can decode.
 * @since MHP 1.2
 */

public class Codecs {

/**
 * Private constructor to disable javadoc generating a public one
 */
private Codecs() {}

/**
 * Return the list of video formats that can be decoded.
 * Formats are encoded as MPEG-7 term IDs as extended by the DVB
 * IPI handbook. e.g. MPEG-2 video, main profile, main level is
 * encoded as "2.2.2".
 * @return an array of video formats
 */
public static String[] getVideoFormats() {return null;}
/**
 * Query if a specific video format can be decoded.
 * Formats are encoded as MPEG-7 term IDs as extended by the DVB
 * IPI handbook. e.g. MPEG-2 video, main profile, main level is
 * encoded as "2.2.2".
 * @param term a video format
 * @return true if the specified format can be decoded otherwise false
 */
public static boolean isVideoFormatSupported(String term){return false;}

/**
 * Return the list of audio formats that can be decoded.
 * Formats are encoded as MPEG-7 term IDs as extended by the DVB
 * IPI handbook. e.g. MPEG-1 layer 3 audio is encoded as "3.3".
 * @return an array of audio formats
 */
public static String[] getAudioFormats() {return null;}

/**
 * Query if a specific audio format can be decoded.
 * Formats are encoded as MPEG-7 term IDs as extended by the DVB
 * IPI handbook.  e.g. MPEG-1 layer 3 audio is encoded as "3.3".
 * @param term a audio format
 * @return true if the specified format can be decoded otherwise false
 */
public static boolean isAudioFormatSupported(String term) {return false;}
}

