package org.dvb.media.monitoring;

/**
 * Represents information about quality of a CoD stream. It contains information
 * about stream bitrate (bits per second).
 * 
 */
public class StreamQualityInfo {
   private long bitrate;

   /**
    * Construct a stream quality entity.
    * 
    * @param bitrate
    *           stream bitrate
    */
   public StreamQualityInfo(long bitrate) {
      this.bitrate = bitrate;
   }

   /**
    * Get stream's bitrate (bits per second) of a CoD.
    * 
    * @return Bitrate of a CoD
    */
   public long getStreamBitrate() {
      return bitrate;
   }
}
