package org.dvb.service;

import javax.tv.service.transport.Transport;
import javax.tv.service.navigation.DeliverySystemType;

/**
 * Extensions to <code>SIManager</code> for environments where
 * a single device may support content delivery mechanisms with
 * different types of delivery system.
 */

public abstract class DvbSIManager extends javax.tv.service.SIManager 
   implements org.dvb.service.sds.SDSRecordAccess, org.dvb.tvanytime.javatv.CRIDAccess
{
	/**
	 * Constructs a DvbSIManager object
	 */
	protected DvbSIManager() {}

	/**
	 * Reports the various content delivery mechanisms currently available on 
	 * this platform which are accessed via delivery systems of the specified type. 
	 * If no such transports are available then an array of length zero is returned.
	 * @param type a delivery system type
	 * @return an array of Transport objects representing the content delivery mechanisms 
	 * currently available on this platform accessed via delivery systems of the specified type
	 */
	public abstract Transport[] getTransports(DeliverySystemType type);
}

