package org.dvb.service;
import javax.tv.service.SIRequest;
import javax.tv.service.SIRequestor;
import javax.tv.service.Service;
import javax.tv.service.navigation.ServiceDetails;
import javax.tv.locator.Locator;
import javax.tv.locator.InvalidLocatorException;
import javax.tv.service.ReadPermission;
import javax.tv.service.navigation.DeliverySystemType;

/**
 * Extensions to <code>Service</code> specific to transport dependent services.
 */
public interface TransportDependentService extends Service
{
	/**
	 * Return the delivery system type by which the service
	 * is accessed
	 * @return a <code>DeliverySystemType</code>
	 */
	public DeliverySystemType getDeliverySystemType();
	/**
	 * This method retrieves additional information about the Service. 
	 * This information is retrieved from the service information in the network.
	 * This method returns data asynchronously.
	 * @param requestor The SIRequestor to be notified when this retrieval operation completes. 
	 * @return An SIRequest object identifying this asynchronous retrieval request.
	 */
	public SIRequest retrieveDetails(SIRequestor requestor);


}

