package org.dvb.service;
import javax.tv.service.SIRequest;
import javax.tv.service.SIRequestor;
import javax.tv.service.Service;
import javax.tv.service.navigation.ServiceDetails;
import javax.tv.locator.Locator;
import javax.tv.locator.InvalidLocatorException;
import javax.tv.service.ReadPermission;
import javax.tv.service.navigation.DeliverySystemType;

/**
 * Extensions to <code>Service</code> specific to transport independent services. 
 */
public interface TransportIndependentService extends Service
{
	/**
	 * Returns all the <code>TransportDependentService</code>s
	 * to which this Service can be resolved.
	 * 
	 * @return an array of <code>TransportDependentService</code> instances
	 */
	public TransportDependentService[] transformService();

	/**
	 * Return those <code>TransportIndependentService</code>s to which
	 * this Service can be resolved which are accessed via the 
	 * specified <code>DeliverySystemType</code>. If there are no
	 * such Services then an array of length zero is returned.
	 * 
	 * @param type a <code>DeliverySystemType</code> instance 
	 * @return an array of <code>TransportDependentService</code> instances
	 */
	public TransportDependentService[] transformService(DeliverySystemType type);
}

