package org.dvb.service.navigation;

import javax.tv.service.navigation.DeliverySystemType;
import javax.tv.service.Service;

/**
 * DeliverySystemTypeFilter represents a ServiceFilter based on a particular DeliverySystemType. 
 * A ServiceList resulting from this filter will include only Service objects that can
 * be accessed via delivery systems of the specified <code>DeliverySystemType</code>.
 */
public final class DeliverySystemTypeFilter extends javax.tv.service.navigation.ServiceFilter
{
	/**
	 * Constructs the filter based on a particular DeliverySystemType.
	 * @param type A <code>DeliverySystemType</code> object indicating 
	 * the delivery system type for the services to be included in 
	 * a resulting service list.
	 */
	public DeliverySystemTypeFilter( DeliverySystemType type )
	{
		super();
	}

	/**
	 * Reports the <code>DeliverySystemType</code> used to create this filter.
	 * 
	 * @return The <code>DeliverySystemType</code> used to create this filter.
	 */
	public DeliverySystemType getFilterValue() { return null;}


	/**
	 * Tests if the given service passes the filter.
	 *
	 * @param service An individual <code>Service</code> to be evaluated 
	 * against the filtering algorithm. 
	 * @return true if service can be accessed via a delivery system of
	 * the specified type; false otherwise
	 */
	public boolean accept(Service service) { return true ;}

}

