package org.dvb.service.navigation;

import javax.tv.service.navigation.ServiceProviderInformation;
import javax.tv.service.Service;

/**
 * ServiceProviderFilter represents a ServiceFilter based on a particular ServiceProviderInformation. 
 * A ServiceList resulting from this filter will include only Service objects that 
 * can be provided by the specified service provider.
 */
public final class ServiceProviderFilter extends javax.tv.service.navigation.ServiceFilter
{
	/**
	 * Constructs the filter based on a particular ServiceProviderInformation.
	 * @param provider A <code>ServiceProviderInformation</code> object indicating 
	 * the service provider for the services to be included in a resulting service list.
	 */
	public ServiceProviderFilter( ServiceProviderInformation provider )
	{
		super();
	}

	/**
	 * Reports the <code>ServiceProviderInformation</code> used to create this filter.
	 * 
	 * @return The <code>ServiceProviderInformation</code> used to create this filter.
	 */
	public ServiceProviderInformation getFilterValue() { return null;}


	/**
	 * Tests if the given service passes the filter.
	 *
	 * @param service An individual <code>Service</code> to be evaluated 
	 * against the filtering algorithm. 
	 * @return true if service can be provided by the specified service
	 * provider; false otherwise
	 */
	public boolean accept(Service service) { return true ;}

}

