package org.dvb.spi.ict;

import java.util.EventObject;

/**
 * Base class for events related to progress of loading an event
 * by an interaction channel transport service provider.
 */
public class AsyncResourceLoadEvent extends EventObject {
    private boolean loaded;

    /**
     * Create a new AsyncResourceLoadEvent object.
     * <p>
     * @param source the ResourceTransportObject that is the source
     *               of this event
     * @param loaded flag indicating whether the resource is loaded
     *               as of the receipt of this event
     */
    protected AsyncResourceLoadEvent(ResourceTransportObject source, boolean loaded) {
        super(source);
        this.loaded = loaded;
    }

    /**
     * Return a flag indicating whether the resource is loaded.
     * 
     * @return boolean
     */
    public boolean isLoaded() {
        return loaded;
    }
}

