package org.dvb.spi.ict;

import java.util.EventObject;

/**
 * Event indicating that the load of a resource was completed
 * successfully.
 */
public final class LoadFinishedEvent extends AsyncResourceLoadEvent {
    private Exception reason;

    /**
     * Construct a new event indicating that the load of a resource was completed
     * successfully.
     * 
     * @param source The ResourceTransportObject that was the source
     *               of this event
     */
    LoadFinishedEvent(ResourceTransportObject source) {
        super(source, true);
    }

    /**
     * Construct a new event indicating that the load of a resource was completed
     * successfully.
     * 
     * @param source The ResourceTransportObject that was the source
     *               of this event
     * @param loaded flag indicating whether the resource is loaded
     *               as of the receipt of this event
     */
    public LoadFinishedEvent(ResourceTransportObject source, boolean loaded) {
        super(source, loaded);
    }
}

