package org.dvb.spi.ict;

/**
 * This exception is thrown when an attempt to load a resource
 * by an interaction channel transport service provider fails.
 */
public class ResourceLoadException extends Exception {

    /**
     * Create a ResourceLoadException.
     */
    public ResourceLoadException() {
    }

    /**
     * Create a ResourceLoadException.
     * <p>
     * @param message describes the failure
     */
    public ResourceLoadException(String message) {
        super(message);
    }

    /**
     * Create a ResourceLoadException.
     * <p>
     * @param cause details the cause of the failure
     */
    public ResourceLoadException(Throwable cause) {
        super(cause);
    }

    /**
     * Create a ResourceLoadException.
     * <p>
     * @param message describes the failure
     * @param cause details the cause of the failure
     */
    public ResourceLoadException(String message, Throwable cause) {
        super(message, cause);
    }
}

