package org.dvb.spi.ict;

/**
 * This exception is thrown when an attempt is made to load a
 * resource via interaction channel transport, and the provider
 * determines that the resource does not exist.
 */
public class ResourceNotFoundException extends ResourceLoadException {
    private String uri;

    /**
     * Create a ResourceNotFoundException.
     * 
     * @param uri the URI for the resource that was not found
     */
    public ResourceNotFoundException(String uri) {
        this.uri = uri;
    }

    /**
     * Create a ResourceNotFoundException.
     * <p>
     * @param message describes the failure
     */
    public ResourceNotFoundException(String uri, String message) {
        super(message);
        this.uri = uri;
    }
}

