

package org.dvb.spi.si.full;

import org.dvb.spi.XletBoundProvider;
import javax.tv.service.SIManager;

/**
 * This xlet-bound provider allows one to take complete control
 * of the view of SI exposed to the xlet to which it is bound.
 * The author of the provider is able to directly implement
 * JavaTV's SIManager interface, and provide that instance to
 * the implementation.  The xlet to which this provider is bound
 * will get this instance of SIManager when it calls the Java TV
 * method to retrieve an SIManager.
 *
 * @see javax.tv.service.SIManager#createInstance
 **/
public interface SIManagerProvider extends XletBoundProvider {


    /**
     * Gets an SI manager.  This will typically be given directly
     * to the xlet (when it calls SIManager.createInstance()).  This
     * method will be called each time the xlet calls 
     * SIManager.createInstance().
     *
     * @param parent  The "system" SIManager that would have been
     *			given to the xlet, if a provider had not been
     *			installed.  The provider's SIManager may consult
     *			its parent, e.g. for terrestrial services in a
     *			hybrid terminal.
     **/
    public SIManager createSIManager(SIManager parent);

}

