package org.dvb.spi.si.simple;

import java.util.Date;
import java.util.List;

/**
 * Encapsulates the description of a schedule for a service
 * (sometimes colloquially known as a "TV channel").
 * One instance of ScheduleDescription represents a static snapshot
 * of one time-bounded part of the schedule information. The schedule 
 * shall be sorted from 
 * earliest to latest within the schedule.
 */

public interface ScheduleDescription {
    /**
     * Return identifiers for the programs in the service, along
     * with the start and end times.
     *
     * @return a list of ProgramReferenceWithTime instances to the 
     * 	   	programs in the service sorted in time order from first 
     *	   	to last.  This list
     *		instance must not change after this method is invoked.
     */
    public List getPrograms();

}


