
package org.dvb.spi.si.simple;

import org.dvb.spi.SystemBoundProvider;
import org.dvb.spi.selection.ServiceReference;
import java.util.List;

/**
 * An instance of this class is given to a SimpleSIProvider when registered
 * so that the provider can notify the platform of events that happen.
 *
 * @see SimpleSIProvider#registerListener(SimpleSIProviderListener)
 **/
public interface SimpleSIProviderListener {

    /**
     * Called by providers when schedule information is available
     * to offer that information to the terminal.
     *
     * @param serviceReferences A list of ServiceReference instances
     *		for which descriptions are available.  This list
     *		instance must not change after this method is invoked.
     */
    public void scheduleDescriptionAvailable(List serviceReferences);

}

