package org.dvb.tvanytime.javatv;

/**
 * This interface extends javax.tv.service.SIManager with overloaded methods that take 
 * CRID and InstanceMetadataId as parameters.
 * It is intended to be implemented by an instance of org.dvb.service.SIManager.
 */

public interface CRIDAccess
{	
		/**
	 * Retrieves the <code>ServiceDetails</code> of all services associated with the CRID and
	 * optionally the instance metadata Id
	 * @param crid The TV-Anytime CRID associated with the service(s)
	 * @param instanceMetadataId The TV-Anytime Instance Metadata Id associated with the service or null
	 * @param requestor the requestor object to be used for the asynchronous callback
	 * @return the SIRequest object associated with the asynchronous request
	 */
	public abstract javax.tv.service.SIRequest retrieveServiceDetails(org.dvb.tvanytime.resolution.CRID crid, String instanceMetadataId, javax.tv.service.SIRequestor requestor)throws java.lang.SecurityException;

	/**
	 * Retrieves all <code>SIElement</code> that are instances of <code>ProgramEvent</code> associated with the CRID and
	 * optionally the instance metadata Id
	 * @param crid The TV-Anytime CRID associated with the SIElement(s)
	 * @param instanceMetadataId The TV-Anytime Instance Metadata Id associated with the service or null
	 * @param requestor the requestor object to be used for the asynchronous callback
	 * @return the SIRequest object associated with the asynchronous request
	 */
	public abstract javax.tv.service.SIRequest retrieveSIElement(org.dvb.tvanytime.resolution.CRID crid, String instanceMetadataId, javax.tv.service.SIRequestor requestor) throws java.lang.SecurityException;

	/**
	 * Retrieves all <code>ProgramEvent</code> associated with the CRID and
	 * optionally the instance metadata Id
	 * @param crid The TV-Anytime CRID associated with the ProgramEvent(s)
	 * @param instanceMetadataId The TV-Anytime Instance Metadata Id associated with the service or null
	 * @param requestor the requestor object to be used for the asynchronous callback
	 * @return the SIRequest object associated with the asynchronous request
	 */
	public abstract javax.tv.service.SIRequest retrieveProgramEvent(org.dvb.tvanytime.resolution.CRID crid, String instanceMetadataId, javax.tv.service.SIRequestor requestor) throws java.lang.SecurityException;
}

