package org.dvb.tvanytime.javatv;

/**
 * Extensions to <code>ProgramEvent</code> to enable access to 
 * extended TV-Anytime data associated with the event.
 */

public interface TVAProgramEvent extends javax.tv.service.guide.ProgramEvent
{

	/**
	 * Returns an XML Element from the relevant Program Information table entry.
	 * @return the TV-Anytime element that points to the start of the program information entry
	 */
	public org.dvb.xml.jdom.Element getProgramInformationElement();

	/**
	 * Returns an XML Element from the relevant Program Location table entry.
	 * @return the TV-Anytime element that points to the start of the program location entry
	 */
	public org.dvb.xml.jdom.Element getProgramLocationElement();

	/**
	 * Returns the <code>CRID</code> associated with this Program Event
	 * @return the CRID associated with this Program Event
	 */
	public org.dvb.tvanytime.resolution.CRID getCRID();

	/**
	 * Returns the <code>InstanceMetadataId</code> associated with this Program Event (if specified) or null
	 * @return the Instance Metadata Id associated with this Program Event
	 */
	public String getInstanceMetadataId();
}

