package org.dvb.tvanytime.metadata;

/**
* An interface allowing applications to determine the capabilities of an IPDatabase. 
*/
public abstract interface CapabilityDescriptionsListener   {

/**
* This method is called to report the capabilities of an IPDatabase.
* @param database the IPDatabase for which the capability descriptions were requested 
* @param description an instance of {@link org.dvb.xml.jdom.Element} describing the capabilities of the IPDatabase
*/
  public  abstract void postCapabilityDescriptions(IPDatabase database, org.dvb.xml.jdom.Element description);

  /**
  * This method is called to report that an attempt to request 
  * the Capability Descriptions from an IPDatabase has failed. 
  */
  public  abstract void postRequestFailed() ;  
    
}


