package org.dvb.tvanytime.metadata;

/**
* Exception that is thrown when a database error occurs.
*/

public  class DatabaseException extends java.lang.Exception  {

  /**
   * Construct a <code>DatabaseException</code>.
   * @param reason the detail message
   * @param errorCode an error code as defined by the static values in this class
   */
public DatabaseException(
      java.lang.String reason,
      int errorCode
  ) {super();}

  /**
   * Get the error code.
   * @return an int value
   */
  public int getErrorCode(
  ) {return (0);}

  /**
  * Returns a list of fieldIDs when the error code is either <code>UNSUPPORTED_QUERY_FIELD</code>, 
  * <code>UNSUPPORTED_SORT_FIELD</code>, <code>INVALID_FIELD_ID</code> or <code>INVALID_FIELD_VALUE</code>.
  * @return an array of fieldID strings 
  */
    public String[] getFieldIDs(
    ) {return null;}
  
  /** Value of error code. The meaning of this error is defined in ETSI TS 102 822-6-1 Section 6.2 */
  public static final int FATAL_ERROR = 1;

  /** Value of error code. The meaning of this error is defined in ETSI TS 102 822-6-1 Section 6.2 */
  public static final int INVALID_REQUEST = 2;

  /** Value of error code. The meaning of this error is defined in ETSI TS 102 822-6-1 Section 6.2 */
  public static final int UNSUPPORTED = 3;

  /** Value of error code. The meaning of this error is defined in ETSI TS 102 822-6-1 Section 6.2 */
  public static final int UNRECOGNIZED_VERSION = 4;

  /** Value of error code. The meaning of this error is defined in ETSI TS 102 822-6-1 Section 6.2 */
  public static final int UNSPECIFIED_ERROR = 5;

  /** Value of error code. The meaning of this error is defined in ETSI TS 102 822-6-1 Section 6.2 */
  public static final int UNSUPPORTED_QUERY_FIELD = 6;

  /** Value of error code. The meaning of this error is defined in ETSI TS 102 822-6-1 Section 6.2 */
  public static final int UNSUPPORTED_SORT_FIELD = 7;

  /** Value of error code. The meaning of this error is defined in ETSI TS 102 822-6-1 Section 6.2 */
  public static final int INVALID_FIELD_ID = 8;

  /** Value of error code. The meaning of this error is defined in ETSI TS 102 822-6-1 Section 6.2 */
  public static final int INVALID_FIELD_VALUE = 9;

  /** Value of error code returned when the client is unable to connect to a remote server. */
  public static final int UNABLE_TO_CONNECT = 10;
  
  /** Value of error code returned when a connection has been refused or has failed. */
  public static final int CONNECTION_FAILED = 11;

  /** Value of error code returned when a metadata service cannot be located. */
  public static final int UNABLE_TO_LOCATE_SERVICE = 12;

  /** Value of error code returned when tuning is required but is not permitted. */
  public static final int UNABLE_TO_TUNE = 13;

}


