package org.dvb.tvanytime.metadata;

/**
* Class listing a set of fieldID strings and allowing the corresponding XPath expressions to be obtained.
*/
  public abstract class FieldIDDefinitionList {


/**
* This constructor is provided for implementations and should not be used by GEM applications.
*/
  protected FieldIDDefinitionList() {}

/**
* Get an instance of the default FieldIDDefinitionList. 
* @return the default FieldIDDefinitionList 
*/
  public static   org.dvb.tvanytime.metadata.FieldIDDefinitionList getInstance() {return (null);}

/**
* Get an instance of the FieldIDDefinitionList for a given server.
* @param path the HTTP URL of the server 
* @return the FieldIDDefinitionList of the specified server
* @throws java.net.MalformedURLException if the URL is invalid
* @throws java.io.IOException if an IOException occurs 
*/
  public static   org.dvb.tvanytime.metadata.FieldIDDefinitionList getInstance(
      java.lang.String path
  ) throws java.net.MalformedURLException, java.io.IOException{return (null);}

  /**
   * Get the XPath corresponding to a fieldID. 
   * @param fieldID a String that contains a fieldID 
   * @return a String that contains the corresponding XPath
   * @throws DatabaseException if the fieldID is not found in this FieldIDDefinitionList
   */
  public  abstract java.lang.String getXPath(java.lang.String fieldID) throws DatabaseException ;
  
  /**
   * Test whether the specified fieldID is included in this FieldIDDefinitionList.
   * @param fieldID a String that contains a fieldID 
   * @return true if this fieldID is included in this FieldIDDefinitionList, false otherwise
   */
  public abstract boolean containsKey(java.lang.String fieldID);
  
  /**
   * Get the fieldIDs supported by this FieldIDDefinitionList.
   * @return an enumeration of the fieldID strings.
   */
  public abstract java.util.Enumeration getFieldIDs(); 

}

