package org.dvb.tvanytime.metadata;

/**
* Class providing access a TV Anytime server over IP. A new instance of this class is 
* required for each of the remote databases that a client wishes to access. 
*/
public abstract class IPDatabase  implements org.dvb.tvanytime.metadata.Database {

/**
* This constructor is provided for implementations and should not be used by GEM applications.
*/
  public IPDatabase() {}

/**
* Get an instance of an IPDatabase where the caller chooses the server. 
* @param path a URL that points to the metadata server.
* @return an IPDatabase
*/
  public static   org.dvb.tvanytime.metadata.IPDatabase newInstance(
      java.lang.String path
  ) {return (null);}

/**
* Get an instance of a IPDatabase where the platform chooses a server that 
* can provide metadata for the given CRID authority. 
* @param crid The authority field from the supplied CRID is used to decide 
* which metadata server to use.
* @return an IPDatabase
* @throws DatabaseException if a metadata service cannot be found
*/
  public static   org.dvb.tvanytime.metadata.IPDatabase newInstance(
      org.dvb.tvanytime.resolution.CRID crid
  )  throws org.dvb.tvanytime.metadata.DatabaseException
  {return (null);}

  /**
   * Get an array of IPDatabases that can provide metadata for the specified scope. This method
   * may block for some time whilst accessing DVB-SI tables.
   * @param scope the required scope of the IPDatabases
   * @return an array of IPDatabases
   * @throws DatabaseException if no metadata services can be found for the specified scope
   */
  public static org.dvb.tvanytime.metadata.IPDatabase[] getAvailableDatabases(
    DatabaseScope scope
  )  throws org.dvb.tvanytime.metadata.DatabaseException
  {return (null);}  
   
   /**
    * Get the URL of the host providing this IPDatabase. 
    * @return the URL
    */
   public org.davic.net.Locator getURL() {
   	return null;
   }
  
/**
 * Request the capability descriptions for this IPDatabase.
 * @param listener a CapabilityDescriptionsListener
 */
  public void getCapabilityDescriptions(CapabilityDescriptionsListener listener) {

  }
}


