package org.dvb.tvanytime.metadata;

/**
* Class that encapsulates all the possible constraints that can be applied 
* to a database query.
*/
public  class QueryConstraints   {

/**
* Create a query constraint which limits the maximum number of results that 
* will be found. This limit will only be applied to queries performed using 
* an <code>IPDatabase</code>. 
* 
* @param maxResults The maximum number of results to return. This number must 
* be >= 1, otherwise a DatabaseException will be thrown 
*/
  public QueryConstraints(
      int maxResults
  ) {}
  
/**
* Create a query constraint which limits the tables that will be requested. 
* Note that the query cannot refer to fields that are not in requestedTables. 
* @param requestedTables An array that specifies the tables to return in the 
* response. 
*/
  public QueryConstraints(
      Table[] requestedTables
  ) {}
  
/**
* Create a query constraint which limits the maximum number of results that 
* will be found and specifies the requested tables. This limit on the number of 
* results will only be applied to queries performed using an <code>IPDatabase</code>.
* 
* @param requestedTables An array that specifies the tables to return in the 
* response.
* @param maxResults The maximum number of results to return. This number must 
* be >= 1, otherwise a DatabaseException will be thrown 
*/
  public QueryConstraints(
      Table[] requestedTables,
      int maxResults
  ) {}

/**
* The maximum number of results to return, or -1 if not specified.
*/
  protected  int maxResults;

/**
* The tables that are to be requested, or null if not specified.
*/
  protected  Table[] requestedTables;

}


