package org.dvb.tvanytime.resolution;

/**
* Interface for a Content Reference Identifier. (i.e. a CRID in TV Anytime 
* terminology.) 
*/
public abstract class CRID   {

/**
 * This constructor is provided for implementations and should not be used by GEM applications.
 */
  protected CRID() {}

/**
* Method for creating a new instance of a content reference.
* @param crString A valid Content Reference string 
* @return A new instance of a CRID
* @throws InvalidCRIDException if the Content Reference string is invalid 
*/
  public static   org.dvb.tvanytime.resolution.CRID newInstance(
      java.lang.String crString
  ) throws org.dvb.tvanytime.resolution.InvalidCRIDException{return (null);}

/**
* Get the authority part of this Content Reference. 
* @return resolving authority name 
*/
  public  abstract java.lang.String getAuthority(
  ) ;

/**
* Get the data part of this Content Reference. 
* @return data - specific identity for this content, which identifies it 
* uniquely within this authority 
*/
  public  abstract java.lang.String getData(
  ) ;

/**
* Returns the Content Reference as a valid Content Reference string. (i.e. in 
* a form that could be validly passed back to <code>newInstance()</code>). 
* @return a String representation of the object. 
*/
  public  abstract java.lang.String toURIString(
  ) ;

/**
* Returns the Content Reference as a valid Content Reference string. (i.e. in 
* a form that could be validly passed back to <code>newInstance()</code>, in 
* the form of a URN)
* @return a URN String representation of the object. 
*/
  public  abstract java.lang.String toURNString(
  ) ;

/**
* Test two Content References for equality in a case insensitive fashion.
* @param that a CRID object to compare
* @return true if the two Content References are equal. 
*/
  public  abstract boolean equals(
      java.lang.Object that
  ) ;

/**
* Implementations will to override <code>hashCode()</code> to be consistent 
* with the <code>equals()</code>. 
* @return hash code of this CRID. 
*/
  public  abstract int hashCode() ;

}


