package org.dvb.xml.jdom;

/**
* Interface for prefix and URI of XML Schemas, and also a container for the 
* prefix and URI values of "well known" namespaces. 
*/
public abstract interface Namespace   {

/**
* Get the prefix string that is being used in an XML instance document. E.g. 
* "tva" 
* @return the string that is prefixed to Elements / Attributes to signify 
* that they belong to this namespace 
*/
  public  abstract java.lang.String getPrefix(
  ) ;

/**
* Get the URI of the Namespace. E.g. "urn:tva:metadata:2002" 
* @return the URI of the XML Schema for this namespace. 
*/
  public  abstract java.lang.String getURI(
  ) ;


/**
* Used for elements/attributes that do not use XML namespaces.
*/
  public static final  org.dvb.xml.jdom.Namespace NO_NAMESPACE = null/*HACK: possibly not correct value*/;
/**
* TV Anytime metadata Schema. 
*/
  public static final  org.dvb.xml.jdom.Namespace TVA_MD = null/*HACK: possibly not correct value*/;
/**
* TV Anytime content referencing Schema. 
*/
  public static final  org.dvb.xml.jdom.Namespace TVA_CR = null/*HACK: possibly not correct value*/;
/**
* TV Anytime content referencing RAR Schema. 
*/
  public static final  org.dvb.xml.jdom.Namespace TVA_RAR = null/*HACK: possibly not correct value*/;
/**
* TV Anytime SP006 Schema.
*/
  public static final  org.dvb.xml.jdom.Namespace TVA_SP006 = null/*HACK: possibly not correct value*/;
/**
* MPEG7 Schema. 
*/
  public static final  org.dvb.xml.jdom.Namespace MPEG7 = null/*HACK: possibly not correct value*/;
/**
* W3C XML Schema.
*/
  public static final  org.dvb.xml.jdom.Namespace W3C = null/*HACK: possibly not correct value*/;

/**
 * DVB-IPI Service Discovery and Selection.
 */
public static final org.dvb.xml.jdom.Namespace IPISDNS = null;

}


