package org.dvb.xml.jdom;

/**
* Interface that represents the common access methods for both Attributes and 
* Elements. 
*/
public abstract interface Node   {

/**
* Get the name of this element / attribute. The String returned by this 
* function does <em>not</em> include the namespace prefix. 
* @return the name of this element / attribute 
*/
  public  abstract java.lang.String getName(
  ) ;

/**
* Get the parent of this element / attribute.
* @return the patent of this element / attribute. If this is the root 
* element, this function will return null. 
*/
  public  abstract org.dvb.xml.jdom.Element getParent(
  ) ;

/**
* Get the XML Schema namespace that this element / attribute belongs to. 
* @return the namespace of this element / attribute 
*/
  public  abstract org.dvb.xml.jdom.Namespace getNamespace(
  ) ;

/**
* Get the contents of this element / attribute, as a String. Note that for an 
* element that has children, getValue() does <em>not</em> include the 
* contents of these children. 
* @return the contents of this element / attribute. Returns an empty string 
* if the element / attribute is empty 
*/
  public  abstract java.lang.String getValue(
  ) ;

/**
* Get the contents of this element / attribute as a String, with leading and 
* trailing whitespace removed, and any internal spaces reduced to one space. 
* @return the normalised contents of this element / attribute. Returns an 
* empty string if the element / attribute is empty 
*/
  public  abstract java.lang.String getTextNormalize(
  ) ;

/**
* Get the contents of this element / attribute as a Long number. 
* @return the numeric value of this element / attribute 
* @throws NumberFormatException if this element / attribute does not contain 
* a value that can be represented by a Long 
*/
  public  abstract long getLongValue(
  ) throws java.lang.NumberFormatException;

/**
* Get the contents of this element / attribute as a Double number.
* @return the numeric value of this element / attribute 
* @throws NumberFormatException if this element / attribute does not contain 
* a value that can be represented by a Double 
*/
  public  abstract double getDoubleValue(
  ) throws java.lang.NumberFormatException;

/**
* Get the contents of this element / attribute as a boolean.
* @return the boolean value of this element / attribute 
* @throws NumberFormatException if this element / attribute does not contain 
* a value that can be represented by a boolean 
*/
  public  abstract boolean getBooleanValue(
  ) throws java.lang.NumberFormatException;

/**
* Get the contents of this element / attribute as a Date.
* The Date returned shall contain a copy of the date contained in this instance
* such that it can be freely modified by applications without changing the date
* contained in this instance. 
* @return the date value of this element / attribute 
* @throws NumberFormatException if this element / attribute does not contain 
* a value that can be represented by a Date 
*/
  public  abstract java.util.Date getDateValue(
  ) throws java.lang.NumberFormatException;

}


