package org.oipf.download;

import org.dvb.application.AppID;
import org.ocap.shared.dvr.RecordingProperties;

/**
 * 
 * Represents a content download to be performed by an application.
 * 
 * The application to handle the request and the source of the content
 * 
 * to download must be specified when the request is created.
 * 
 * No other application is permitted to handle the request.
 * 
 * The format of the source must be co-ordinated between the application
 * 
 * requesting the download and the application handling the download request.
 */

public class ApplicationDownloadSpec extends org.ocap.shared.dvr.RecordingSpec {

   /**
    * 
    * Create a request for content download by application.
    * 
    * @param app
    *           the application to perform the download
    * 
    * @param source
    *           the source of the download
    * 
    * @param properties
    *           the properties for the download
    */

   public ApplicationDownloadSpec(AppID app, String source,

   RecordingProperties properties)

   {
      super(properties);
   }

   /**
    * 
    * Return the application ID specified.
    * 
    * @return an application ID
    */

   public AppID getAppID() {
      return null;
   }

   /**
    * 
    * Return the source specified.
    * 
    * @return a String
    */

   public String getSource() {
      return null;
   }

}