package org.oipf.download;
import javax.tv.service.selection.InvalidServiceComponentException;
import javax.tv.locator.Locator;
import java.util.Date;
import org.ocap.shared.dvr.RecordingProperties;
/**
 * 
 * Specifies a recording request in terms of a Locator to a file.
 * 
 * The identified file is asynchronously downloaded from the network.
 * <p>
 * 
 * When instances of this class are passed to RecordingManager.record(..),
 * 
 * the following additional failure mode shall apply - if the locator
 * 
 * does not reference a file then the record method shall throw an
 * IllegalArgumentException.
 * <p>
 * 
 * No additional failure modes are defined for RecordingRequest.reschedule.
 * <p>
 * 
 * For recording requests resulting from a recording spec of this type,
 * 
 * downloading shall start immediately. Such recording requests will never be
 * 
 * in a pending or a IN_PROGRESS_INCOMPLETE_STATE state.
 */

public class LocatorDownloadSpec extends org.ocap.shared.dvr.RecordingSpec

{

   /**
    * 
    * Constructor
    * 
    * @param source
    *           Source of content to be downloaded
    * 
    * @param properties
    *           the definition of how the recording is to be done
    */

   public LocatorDownloadSpec(Locator source, RecordingProperties properties)

   {

      super(properties);

   }

   /**
    * 
    * Returns the source of the content to be downloaded
    * 
    * @return the source passed into the constructor
    */

   public Locator getSource()

   {

      return null;

   }

}
